---
author:
- Orestis Malaspinas, bureau A401, ISC, HEPIA
title: Quelques cours de la filière ISC de hepia
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: book
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
    listing: Liste des exercices
urlcolor: blue
corrige: false
---

<div align="center">
<video width="640" poster="figs/intro.svg" height="360" controls="true" autoplay="false">
   <source src="videos/malaspinas.mp4" type="video/mp4">
</video>
</div>




:::::::::::::: {.columns}
::: {.column width="40%"}

# Prog. séquentielle en C

Chaîne *BBB* du cours <https://bbb.hesge.ch/b/ore-xff-hkz-poh>

## Bibliographie 

* Débutants: [E. Barthomier, D. Schang, Le C en 20 heures](https://c.developpez.com/cours/20-heures/)
* Moyens: [J. Gustedt, Modern C](https://hal.inria.fr/hal-02383654/document)

---

## [Théorie](prog_seq_c_cours/index.html)

<!-- ## Théorie 

### Introduction [PDF](prog_seq_c_cours/intro.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/cours) -->

---

## Exercices

### 27.09.2022: Nombre secret, [HTML](prog_seq_c_tp/nombre_secret/index.html), [PDF](prog_seq_c_tp/nombre_secret/nombre_secret.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/nombre_secret/enonce)

### 20.09.2022: Calendrier, [HTML](prog_seq_c_tp/calendar/index.html), [PDF](prog_seq_c_tp/calendar/calendar.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/calendar/enonce)


:::
::: {.column width="60%"}

# Algo. et structures de données

Chaîne *BBB* du cours  <https://bbb.hesge.ch/b/ore-ydf-yhv-wul>

## Bibliographie

[T. H. Cormen, C. E. Leiserson, R. L. Rivest and C. Stein, Introduction to Algorithms, 3rd edition](https://mitpress.mit.edu/9780262533058/)

---

## [Théorie](algo_cours/index.html)

---

:::
::::::::::::::

---

# Physique appliquée

Chaîne *BBB* du cours  <https://bbb.hesge.ch/b/ore-tsc-9g8-sbm>

---

##  [Polycopié](phys/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/isc_physics), [pdf](phys/cours.pdf)

<!-- ## Exercices sur les Lois de Newton, [HTML](phys/exercices/newton.html), [PDF](phys/exercices/newton.pdf) -->

# Les projets de bachelor passés

## 2022

### [R. Bach, fmpi: An easy-to-use libray using Futhark and MPI to create simple parallel programs](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Bach-575)
### [A. Blancy, HEPIA Virtuel - une plateforme virtuelle pour hepia](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Blancy-578)
### [T. Dagier-Joncour, Simulation de transports publics : l'import de Genève dans A/B street](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Dagier-Joncour-583)
### [D. Fangous, Application d'entraînement pour sportifs et entraîneurs intéractive et modulaire](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Fangous-586)
### [I. N'Hairi, Modélisation de la population du canton de Genève](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/N'Hairi-605)

## 2021

### [B. Coudray, MPI-Futhark : distributed high-performance computing for people](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Coudray-553)
### [J. Jose Goncalves, Générateur statique d'une plateforme d'apprentissage dynamique](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Jose%20Goncalves-556)
### [T. Kaltrachian, GAN's methods for super-resolution on fluid flow simulation](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Kaltrachian-570)


## 2020

### [J. Chétélat, Application de triangulation de points lidar sur le canton de Genève](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Ch%C3%A9telat-495) 
### [L. De Biasi, Inari, Apprentissage par renforcement appliqué au jeu Dota 2](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/De%20biasi-497) 
### [M. El Kharroubi, Cryptographie sur GPU avec le langage Futhark](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/El%20kharroubi-501) 
### [T. Pirkl, Outil de scraping de sites internet](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Pirkl-532), [vidéo](https://www.youtube.com/watch?v=RKho4VPnF58)
### [M. Vachon, Développement d'IHM pour la librairie open source Palabos](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Vachon-537)


## 2019

### [N. Denby, Création d'IHM pour la librairie Palabos](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Denby-449)
### [G. Laurie, Méthode de Boltzmann sur réseau sur GPU en Futhark](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Laurie%20riveros-463)
### [S. Ollquist, Étude et visualisation d'algorithmes de classement de pages Web](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Ollquist-465)
### [A. Vanini, Logiciels et Systèmes complexes](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Vanini-482)


## 2018

### [T. Ibanez, Astéroides avec algorithme génétique](https://sitehepia.hesge.ch/diplome/ITI/2018/documents/Ibanez-11), [video](https://dai.ly/x6tosqh)
### [N. Nufer, Construction d'un agent joueur par apprentissage par renforcement](https://sitehepia.hesge.ch/diplome/ITI/2018/documents/Nufer-18), [video](https://dai.ly/x6tosqg)

# [Cours archivés (Prog. Concurrente, Rust, Maths)](archives/index.html)

